- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - LimitToPrivacy

# NAME

      RT::SavedSearches - a pseudo-collection for SavedSearch objects.

# SYNOPSIS

      use RT::SavedSearches

# DESCRIPTION

      SavedSearches is an object consisting of a number of SavedSearch objects.
      It works more or less like a DBIx::SearchBuilder collection, although it
      is not.

# METHODS

## LimitToPrivacy

Takes two argumets: a privacy string, of the format "<class>-<id>", as produced by RT::SavedSearch::Privacy(); and a type string, as produced by RT::SavedSearch::Type(). The SavedSearches object will load the searches belonging to that user or group that are of the type specified. If no type is specified, all the searches belonging to the user/group will be loaded. Repeated calls to the same object should DTRT.

← Back to index